<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastraJuiz.title']}" />
	</ui:define>
	
	<ui:define name="principal">
	<p:link outcome="mostraTodosCampeonatos.xhtml" value="#{msg['pages.menuCampeonatos.backShowChamp']}"/>
	<h1><p:outputLabel value="#{msg['pages.cadastraJuiz.title']}"/></h1>
	
	<h:form id="formJuiz">
	  <p:panelGrid columns="2">
		<p:outputLabel value="#{msg['pages.cadastraJuiz.tipo']}:"/>
		<p:outputLabel value="#{juizManagedBeans.juiz.tipo}"/>
		
		<p:outputLabel for="juiz" value="#{msg['pages.cadastraJuiz.usuario']}:"/>
		<p:selectOneMenu id="juiz" required="true" 
		value="#{juizManagedBeans.juiz.usuario}"
		lazy="true"
		converter="usuarioConverter">
			<f:selectItem itemLabel="#{msg['pages.comuns.selecionar']}" itemValue=""/>
			<f:selectItems Label="#{usuarioManagedBeans.juizes}"
						   value="#{usuarioManagedBeans.juizes}"
						   var="juiz"
						   itemLabel="#{juiz.nome}"
						   itemValue="#{juiz}"/>
        </p:selectOneMenu>
		
		<p:commandButton value="#{msg['pages.cadastraJuiz.btnSalvar']}"
						 action="#{juizManagedBeans.salvar}"
						 update=":formJuiz"/>
	  </p:panelGrid>
	</h:form>
   </ui:define>
</ui:composition>